import 'dart:async';
import 'dart:io';

import 'package:args/args.dart';

import 'build.dart';
import 'commands.dart';
import 'socket.dart';

Future<void> main(List<String> arguments) async {
  final ArgResults result = parser.parse(arguments);

  if (result.command == null) {
    printUsage();
    exit(64);
    return;
  }

  switch (result.command.name) {
    case 'build':
      build(result.command);
      break;
    case 'socket':
      socket(result.command);
      break;
    case 'help':
      printUsage();
      exit(0);
      break;
  }
}
